pipewire-modules-0.2.5-2.1.i586.rpm


Advertisement

Description

pipewire-modules - Modules For PipeWire, A Multimedia Framework

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename pipewire-modules-0.2.5-2.1.i586.rpm
Package name pipewire-modules
Package version 0.2.5
Package release 2.1
Package architecture i586
Package type rpm
Category Productivity/Multimedia/Other
Homepage https://pipewire.org/
License LGPL-2.1-or-later
Maintainer -
Download size 95.88 KB
Installed size 403.03 KB
PipeWire is a server and user space API to deal with multimedia pipelines.
The framework is used to build a modular daemon that can be configured to:
* Be a low-latency audio server with features like pulseaudio and/or jack;
* A video capture server that can manage hardware video capture devices
and provide access to them;
* A central hub where video can be made available for other applications
such as the gnome-shell screencast API.

Alternatives

Package Version Architecture Repository
pipewire-modules-0.2.5-28.1.x86_64.rpm 0.2.5 x86_64 GNOME Next
pipewire-modules-0.2.5-28.1.i586.rpm 0.2.5 i586 GNOME Next
pipewire-modules-0.2.5-13.1.x86_64.rpm 0.2.5 x86_64 GNOME Factory
pipewire-modules-0.2.5-13.1.i586.rpm 0.2.5 i586 GNOME Factory
pipewire-modules-0.2.5-2.1.x86_64.rpm 0.2.5 x86_64 openSUSE Oss
pipewire-modules - - -

Requires

Name Value
libc.so.6(GLIBC_2.10) -
libdbus-1.so.3 -
libdbus-1.so.3(LIBDBUS_1_3) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libm.so.6 -
libm.so.6(GLIBC_2.1) -
libpipewire-0.2.so.1 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libsystemd.so.0 -
libsystemd.so.0(LIBSYSTEMD_209) -
pipewire -

Provides

Name Value
libpipewire-module-audio-dsp.so -
libpipewire-module-autolink.so -
libpipewire-module-client-node.so -
libpipewire-module-flatpak.so -
libpipewire-module-link-factory.so -
libpipewire-module-mixer.so -
libpipewire-module-protocol-native.so -
libpipewire-module-rtkit.so -
libpipewire-module-spa-monitor.so -
libpipewire-module-spa-node-factory.so -
libpipewire-module-spa-node.so -
libpipewire-module-suspend-on-idle.so -
pipewire-modules = 0.2.5-2.1
pipewire-modules(x86-32) = 0.2.5-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package pipewire-modules-0.2.5-2.1.i586.rpm
Source Package pipewire-0.2.5-2.1.src.rpm

Install Howto

Install pipewire-modules rpm package:

# zypper install pipewire-modules

Files

Path
/usr/lib/pipewire-0.2/libpipewire-module-audio-dsp.so
/usr/lib/pipewire-0.2/libpipewire-module-autolink.so
/usr/lib/pipewire-0.2/libpipewire-module-client-node.so
/usr/lib/pipewire-0.2/libpipewire-module-flatpak.so
/usr/lib/pipewire-0.2/libpipewire-module-link-factory.so
/usr/lib/pipewire-0.2/libpipewire-module-mixer.so
/usr/lib/pipewire-0.2/libpipewire-module-protocol-native.so
/usr/lib/pipewire-0.2/libpipewire-module-rtkit.so
/usr/lib/pipewire-0.2/libpipewire-module-spa-monitor.so
/usr/lib/pipewire-0.2/libpipewire-module-spa-node-factory.so
/usr/lib/pipewire-0.2/libpipewire-module-spa-node.so
/usr/lib/pipewire-0.2/libpipewire-module-suspend-on-idle.so

Changelog

2019-04-19 - Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix use of headers from C++:
* avoid-invalid-conversion-error-with-C++.patch
2019-02-21 - bjorn.lie@gmail.com
- Update to version 0.2.5:
+ Build fixes for systemd.
+ Add cursor and bitmap metadata. This can be used to send a
cursor sprite with the video stream.
+ Permissions were set too strict for non-flatpak clients.
+ Fix crash in loop caused by thread unsafe hook emission.
+ Add more error checking for thread-loop.
+ Small cleanups and bugfixes.
- Drop libspa define and add spa_ver define, and following this
drop libspa-lib1 subpackage, no longer built.
- Drop doxygen BuildRequires and manpages source, follow upstream
in not building docs nor manually installing manpages that have
to be updated every version bump to ensure they are current.
- Add pkgconfig(libsystemd) BuildRequires: New dependency.
- Update options passed to meson following upstream changes.
2018-08-13 - bjorn.lie@gmail.com
- Update to version 0.2.2:
+ Add apiversion to pkgconfig as well.
- Add apiver define and set it to 0.2.
- Bump libpipewire define to libpipewire-0_2-1 and libspa define to
libspa-lib1 following upstream changes.
2018-07-23 - bjorn.lie@gmail.com
- Update to version 0.2.1:
+ stream: update to latest API.
+ hook: add private data for future expansion.
2018-07-17 - alarrosa@suse.com
- Update to version 0.2.0
* No changelog provided by upstream. To see the changes in this
version, please browse the commit logs at
https://github.com/PipeWire/pipewire/commits/0.2.0 .
2018-03-13 - luc14n0@linuxmail.org
- Initial package, version 0.1.9.

See Also

Package Description
pipewire-spa-plugins-0.2.5-2.1.i586.rpm Plugins For PipeWire SPA
pipewire-spa-plugins-0.2.5-2.1.x86_64.rpm Plugins For PipeWire SPA
pipewire-spa-tools-0.2.5-2.1.i586.rpm The PipeWire SPA Tools
pipewire-spa-tools-0.2.5-2.1.x86_64.rpm The PipeWire SPA Tools
pipewire-tools-0.2.5-2.1.i586.rpm The PipeWire Tools
pipewire-tools-0.2.5-2.1.x86_64.rpm The PipeWire Tools
pithos-1.4.1-1.3.noarch.rpm Native Pandora Radio client for Linux
pitivi-0.999-2.3.i586.rpm Video editing software
pitivi-0.999-2.3.x86_64.rpm Video editing software
pitivi-lang-0.999-2.3.noarch.rpm Translations for package pitivi
pix-2.0.3-1.1.i586.rpm Image viewer and browser utility
pix-2.0.3-1.1.x86_64.rpm Image viewer and browser utility
pix-devel-2.0.3-1.1.i586.rpm Image viewer and browser utility -- Development Files
pix-devel-2.0.3-1.1.x86_64.rpm Image viewer and browser utility -- Development Files
pix-lang-2.0.3-1.1.noarch.rpm Translations for package pix
Advertisement
Advertisement